Loading...
Searching...
No Matches
Associativity.h File Reference

Methods for extracting an associative operator from a Func's update definition if there is any and computing the identity of the associative operator. More...

`#include <string>`
`#include <vector>`
`#include "AssociativeOpsTable.h"`
`#include "Expr.h"`

Go to the source code of this file.

## Classes

struct | Halide::Internal::AssociativeOp
| Represent the equivalent associative op of an update definition. More...
struct | Halide::Internal::AssociativeOp::Replacement

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

AssociativeOp | Halide::Internal::prove_associativity (const std::string &f, std::vector< Expr > args, std::vector< Expr > exprs)
| Given an update definition of a Func 'f', determine its equivalent associative binary/unary operator if there is any.
void | Halide::Internal::associativity_test ()

## Detailed Description

Methods for extracting an associative operator from a Func's update definition if there is any and computing the identity of the associative operator.

Definition in file Associativity.h.